Skip to navigation
SimSIM usage and cost statistics

SIM usage and cost statistics

You can only retrieve data traffic costs for organizations without multi-inclusive volumes.

Retrieves SIM usage and cost statistics for a given ID. Usage statistics are sorted by data and sms.

Returns statistics from the following periods:

  • last_month: Previous billing month, from the first to last day (for example, February 1-29, 2024, when you send the request in March 2024).
  • current_month: Current month, with statistics calculated up to and including the date requested (for example, March 1-8, 2024, when you sent the request on March 8, 2024).
  • last_hour: Previous 60 minutes, accumulated per minute and organized by data or SMS received by the device (rx) and transmitted by the device (tx).

last_month and current_month are only included in the responses if traffic exists. Those responses include a generated id value that’s comprised of the SIM ID, year, month, and traffic type ID (5 for data and 6 for SMS).

For example, if you send a request in March 2024 for SIM ID 123456, the id for data in the current month is 1234562024035.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

sim_idintegerRequired
Numeric ID of a SIM

Response

Successfully returned the SIM statistics associated with the provided id.

last_monthobject
current_monthobject
last_hourobject

Errors

403
Forbidden Error